Tip for 0.3.13 testers

Here you can discuss ReactOS related topics.

Moderator: Moderator Team

Post Reply
Peterbjornx
Posts: 19
Joined: Fri Jun 04, 2010 2:48 pm

Tip for 0.3.13 testers

Post by Peterbjornx » Sat Feb 26, 2011 12:04 pm

I was reading the list at http://reactos.org/wiki/Tests_for_0.3.13 and i saw that of some apps only the popular uses are being tested, for example the JRE was deemed broken because applets didnt work, but applets are more of a browser feature , JRE is just the runtime and you should test it with applications not applets

EmuandCo
Developer
Posts: 4329
Joined: Sun Nov 28, 2004 7:52 pm
Location: Germany, Bavaria, Steinfeld
Contact:

Re: Tip for 0.3.13 testers

Post by EmuandCo » Sat Feb 26, 2011 2:03 pm

Err. An Applet and a Java "app" are mostly the same....
Image
ReactOS is still in alpha stage, meaning it is not feature-complete and is recommended only for evaluation and testing purposes.

Black_Fox
Posts: 1584
Joined: Fri Feb 15, 2008 9:44 pm
Location: Czechia

Re: Tip for 0.3.13 testers

Post by Black_Fox » Sat Feb 26, 2011 2:47 pm

Peterbjornx: You probably address me as I tested both JREs listed :) I also tested Minecraft.exe and some official online version of Minecraft just "by the way", which didn't even display anything.

But basically it's as EmuandCo says, there's little to no difference between on-site applet and a standalone Java application, it's just one is started by launching a bookmark and other by launching an exe...

Peterbjornx
Posts: 19
Joined: Fri Jun 04, 2010 2:48 pm

Re: Tip for 0.3.13 testers

Post by Peterbjornx » Sun Feb 27, 2011 6:02 pm

There is, a applet requires a browser plugin and an application is started by the java launcher (java.exe) which is standalone, and working but it cannot find its classpath or extract its RT.pack, maybe pack200 is broken.

Black_Fox
Posts: 1584
Joined: Fri Feb 15, 2008 9:44 pm
Location: Czechia

Re: Tip for 0.3.13 testers

Post by Black_Fox » Sat Mar 05, 2011 3:54 pm

You didn't have to delete my notes to JRE at wiki tests page. If you need to separate your opinions, prefix them with your nick. The fact that Firefox 3.6 needs JRE 6 Update 10 as minimum is clearly and officialy documented. Readding.

Post Reply

Who is online

Users browsing this forum: No registered users and 8 guests